    A constant model for two-dimensional data.

const2d
>>> create_model_component("const2d", "mdl")
>>> print(mdl)

Create a component of the const2d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.c0 thawed 1 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attribute for this object is:

Attribute
Definition
c0
The amplitude of the model.

Notes

The functional form of the model for points is:

f(x0, x1) = ampl

and for an integrated grid it is:

f(x0lo, x1lo, x0hi, x1hi = ampl * (x0hi - x0lo) * (x1hi - x1lo)

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023